<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<style>
* {
  box-sizing: border-box;
}

body {
  background-color: hsl(340, 11%, 95%);
  margin: 0;
  font-family: Arial;
}

/* The grid: Four equal columns that floats next to each other */
.column {display: grid;
  float: left;
  width: 25%;
  gap: 10px 90px;
}

/* Style the images inside the grid */
.column img {
  opacity: 0.8; 
  cursor: pointer; 
}

.column img:hover {
  opacity: 1;
}

/* Clear floats after the columns */
.row:after {
  content: "";
  display: table;
  clear: both;
}

/* The expanding image container */
.container {
  z-index: 8;
  position: fixed;
  top: 50%;
  left: 55%;
  transform: translate(-50%, -50%);
  display: none;
}

/* Expanding image text */
#imgtext {
  z-index: 9;
  left: 15px;
  color: white;
  font-size: 20px;
}

/* Closable button inside the expanded image */
.closebtn {
  z-index: 9;
  position: absolute;
  top: 28px;
  right: 15px;
  color: white;
  font-size: 35px;
  cursor: pointer;
}

#bbg {
  z-index: 4;
  position: fixed;
  height: 100%;
  width: 100%;
  left: 0px;
  top: 0px;
  background-color: hsla(0, 0%, 0%, 0.726);
  display: none;
}

</style>
</head>
<body>
<div id="bbg"></div>
<!-- The four columns -->
<div class="row">
  <div class="column">
    <img src="img10.png" alt="" style="width:100%;" onclick="myFunction(this);">
  </div><div class="column">
    <img src="img4.png" alt="" style="width:100%;" onclick="myFunction(this);">
  </div>  
  <div class="column">
    <img src="img2.png" alt="" style="width:100%;" onclick="myFunction(this);">
  </div>
  <div class="column">
    <img src="img3.png" alt="" style="width:100%;" onclick="myFunction(this);">
  </div>
  
  <div class="column">
    <img src="img6.png" alt="" style="width:100%;" onclick="myFunction(this);">
  </div>  
  <div class="column">
    <img src="img7.png" alt="" style="width:100%;" onclick="myFunction(this);">
  </div>  
  <div class="column">
    <img src="img8.png" alt="" style="width:100%;" onclick="myFunction(this);">
  </div>  
  <div class="column">
    <img src="img9.png" alt="" style="width:100%;" onclick="myFunction(this);">
  </div>  
  <div class="column">
    <img src="img15.png" alt="" style="width:100%;" onclick="myFunction(this);">
  </div>
  <div class="column">
    <img src="img11.png" alt="" style="width:100%;" onclick="myFunction(this);">
  </div>
  <div class="column">
    <img src="img12.png" alt="" style="width:100%;" onclick="myFunction(this);">
  </div>
  <div class="column">
    <img src="img13.png" alt="" style="width:100%;" onclick="myFunction(this);">
  </div>
  <div class="column">
    <img src="img14.png" alt="" style="width:100%; " onclick="myFunction(this);">
  </div>  
</div>

<div class="container">
  <span onclick="this.parentElement.style.display='none'; document.getElementById('bbg').style.display = 'none'
" class="closebtn">&times;</span>
  <img id="expandedImg" style="width:95%;">
  <div id="imgtext"></div>
</div>

<script>
function myFunction(imgs) {
  var expandImg = document.getElementById("expandedImg");
  var imgText = document.getElementById("imgtext");
  expandImg.src = imgs.src;
  imgText.innerHTML = imgs.alt;
  expandImg.parentElement.style.display = "block";
  var bbg = document.getElementById("bbg")
  bbg.style.display = "block"
}
</script>

</body>
</html>